"use strict";
const fs = require("fs");
const path = require("path");
const DEFAULT_CONFIG = {
    port: 9001,
    proxy: {},
};
let serverConfigPath = '';
const cwd = process.cwd();
const filenames = [
    'fary.config.js',
    'server.config.js',
];
filenames.forEach((file) => {
    const filePath = path.join(cwd, file);
    if (fs.existsSync(filePath)) {
        serverConfigPath = filePath;
    }
});
if (!serverConfigPath) {
    throw new Error('No config file found under the root of the project. ' +
        'The filename could be "fary.config.js" or "server.config.js".');
}
// tslint:disable-next-line
const serverConfigValue = Object.assign({}, DEFAULT_CONFIG, require(serverConfigPath));
module.exports = {
    path: serverConfigPath,
    value: serverConfigValue,
};
//# sourceMappingURL=server-config.js.map