import fs = require('fs');
import path = require('path');

import { IServerConfig } from '../types';

const DEFAULT_CONFIG: IServerConfig = {
  port: 9001,
  proxy: {},
};

let serverConfigPath: string = '';
const cwd: string = process.cwd();
const filenames = [
  'fary.config.js',
  'server.config.js',
];

filenames.forEach((file) => {
  const filePath = path.join(cwd, file);
  if (fs.existsSync(filePath)) {
    serverConfigPath = filePath;
  }
});

if (!serverConfigPath) {
  throw new Error('No config file found under the root of the project. ' +
  'The filename could be "fary.config.js" or "server.config.js".');
}

// tslint:disable-next-line
const serverConfigValue: IServerConfig = Object.assign({}, DEFAULT_CONFIG, require(serverConfigPath));

export = {
  path: serverConfigPath,
  value: serverConfigValue,
};
